#ifndef FORMELEMENTLIST_H
#define FORMELEMENTLIST_H

#include <QWidget>

class QSqlQueryModel;

namespace Ui
{
class formElementList;
}

class formElementList : public QWidget
{
    Q_OBJECT

public:
    explicit formElementList(QWidget *parent = nullptr);
    ~formElementList();

private slots:
    void on_buttonNew_released();
    void on_buttonEdit_released();
    void on_buttonClone_released();
    void on_buttonDelete_released();

    void on_buttonUpdate_released();

    void on_tableView_doubleClicked(const QModelIndex &index);

    void startDrag(const QModelIndex &index);
private:
    Ui::formElementList *ui;
    QSqlQueryModel *mModel;

    void updateList();
    void openDocument(QModelIndex index);
};

#endif // FORMELEMENTLIST_H
